Package org.jboss.logging.processor.model

## Interface ClassType

All Superinterfaces:
  `javax.lang.model.AnnotatedConstruct`

All Known Subinterfaces:
  `MessageInterface`, `Parameter`, `ReturnType`, `ThrowableType`

    public interface ClassType
    extends javax.lang.model.AnnotatedConstruct

Date: 23.08.2011

Author:
  James R. Perkins

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isAssignableFrom​(java.lang.Class<?> type)` Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter.
`boolean` `isSameAs​(java.lang.Class<?> type)` Determines if this type is the same type as the class represented by the `type` parameter.
`boolean` `isSubtypeOf​(java.lang.Class<?> type)` Determines if this type is a subtype of the class represented by the `type` parameter.

### Methods inherited from interface javax.lang.model.AnnotatedConstruct

`getAnnotation, getAnnotationMirrors, getAnnotationsByType`

### Method Detail

#### isAssignableFrom

    boolean isAssignableFrom​(java.lang.Class<?> type)

Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter. If this type is assignable from the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same as or a superclass of the class, otherwise `false`.

#### isSubtypeOf

    boolean isSubtypeOf​(java.lang.Class<?> type)

Determines if this type is a subtype of the class represented by the `type` parameter. If this type is a subtype of the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is a subtype of the class, otherwise `false`.

#### isSameAs

    boolean isSameAs​(java.lang.Class<?> type)

Determines if this type is the same type as the class represented by the `type` parameter. If this type is the same type as the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same type as the class, otherwise `false`.